﻿@model IEnumerable<ProjectUni.Models.Test>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <h2>Index</h2>

            <p>
                @Html.ActionLink("Create New", "Create")
            </p>
            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.topics.TName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.QuesText)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Choice1)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Choice2)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Choice3)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Choice4)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.CorrectChoice)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.topics.TName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.QuesText)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Choice1)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Choice2)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Choice3)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Choice4)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CorrectChoice)
                        </td>
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.QuesId }) |
                            @Html.ActionLink("Details", "Details", new { id = item.QuesId }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.QuesId })
                        </td>
                    </tr>
                }

            </table>

        </div>
    </div>
</div>